View Issue Details

IDProjectCategoryView StatusLast Update
0000053bareos-coreGeneralpublic2015-03-25 19:19
Reportermvwieringen Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version12.4.1 
Fixed in Version12.4.1 
Summary0000053: Tear down of daemons is flawed.
DescriptionWhen one of the servers is teared down in most daemons the thread spawned for
handling the bnet_thread_server or the main thread never closes all sockets
and releases the workq as most of the time the thread is just shot inflight
and as a side effect things get cleaned up. When the process exits resources are
released but its not very clean.
Additional InformationNow that we use an alist for the socket filedescriptor table we see this on
tear down of the daemons:

iapetus-fd: smartall.c:399-0 Orphaned buffer: iapetus-fd 40 bytes at 80cb988 from alist.c:45
iapetus-sd: smartall.c:399-0 Orphaned buffer: iapetus-sd 40 bytes at 80f4938 from alist.c:45
iapetus-dir: smartall.c:399-0 Orphaned buffer: iapetus-dir 40 bytes at 81835d0 from alist.c:45
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

mvwieringen adm

mvwieringen adm

2013-08-13 03:12

administrator   ~0000629

Fix committed to bareos master branch with changesetid 876.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001403

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4432.
joergs

joergs

2015-03-25 19:19

developer   ~0001564

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: master 9ac53ece

2013-05-04 09:51:50

mvwieringen adm

Ported: N/A

Details Diff
Tear down of daemons is flawed.

When one of the servers is teared down in most daemons the thread
spawned for handling the bnet_thread_server or the main thread
never closes all sockets and releases the workq as most of the time
the thread is just shot inflight and as a side effect things get
cleaned up. When the process exits resources are released but its
not very clean.

Fixes 0000053: Tear down of daemons is flawed.
Affected Issues
0000053
mod - src/stored/stored.c Diff File
mod - src/stored/ndmp_tape.c Diff File
mod - src/lib/protos.h Diff File
mod - src/lib/bnet_server.c Diff File
mod - src/filed/filed.c Diff File
mod - src/dird/ua_server.c Diff File
mod - src/dird/job.c Diff File
mod - src/dird/dird.c Diff File

bareos2015: bareos-12.4 fc9ba4ca

2013-05-04 11:51:50

mvwieringen

Ported: N/A

Details Diff
Tear down of daemons is flawed.

When one of the servers is teared down in most daemons the thread
spawned for handling the bnet_thread_server or the main thread
never closes all sockets and releases the workq as most of the time
the thread is just shot inflight and as a side effect things get
cleaned up. When the process exits resources are released but its
not very clean.

Fixes 0000053: Tear down of daemons is flawed.
Affected Issues
0000053
mod - src/dird/dird.c Diff File
mod - src/dird/job.c Diff File
mod - src/dird/ua_server.c Diff File
mod - src/filed/filed.c Diff File
mod - src/lib/bnet_server.c Diff File
mod - src/lib/protos.h Diff File
mod - src/stored/ndmp_tape.c Diff File
mod - src/stored/stored.c Diff File

bareos2015: bareos-13.2 1073835c

2013-05-04 11:51:50

mvwieringen

Ported: N/A

Details Diff
Tear down of daemons is flawed.

When one of the servers is teared down in most daemons the thread
spawned for handling the bnet_thread_server or the main thread
never closes all sockets and releases the workq as most of the time
the thread is just shot inflight and as a side effect things get
cleaned up. When the process exits resources are released but its
not very clean.

Fixes 0000053: Tear down of daemons is flawed.
Affected Issues
0000053
mod - src/dird/dird.c Diff File
mod - src/dird/job.c Diff File
mod - src/dird/ua_server.c Diff File
mod - src/filed/filed.c Diff File
mod - src/lib/bnet_server.c Diff File
mod - src/lib/protos.h Diff File
mod - src/stored/ndmp_tape.c Diff File
mod - src/stored/stored.c Diff File

Issue History

Date Modified Username Field Change
2013-02-05 18:39 mvwieringen New Issue
2013-02-05 18:39 mvwieringen Status new => assigned
2013-02-05 18:39 mvwieringen Assigned To => mvwieringen
2013-02-05 19:07 mvwieringen Changeset attached => bareos master d12efb7f
2013-02-05 19:07 mvwieringen Status assigned => closed
2013-02-05 19:07 mvwieringen Resolution open => fixed
2013-02-05 19:08 mvwieringen Target Version => 12.4.0
2013-02-05 19:08 mvwieringen Fixed in Version => 12.4.0
2013-02-05 19:08 mvwieringen Assigned To mvwieringen =>
2013-03-04 10:38 mvwieringen Product Version => 12.4.1
2013-03-04 10:38 mvwieringen Fixed in Version => 12.4.1
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 9ac53ece
2013-08-13 03:12 mvwieringen adm Note Added: 0000629
2013-08-13 03:12 mvwieringen adm Assigned To => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 08:42 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 08:42 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 fc9ba4ca
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 1073835c
2015-03-25 16:51 mvwieringen Note Added: 0001403
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001564
2015-03-25 19:19 joergs Status resolved => closed